substitutions:
  # nodemcu / nodemcuv2 / d1_mini
  BOARD_TYPE: d1_mini 
  NAME: wspot-storeroom
  ACTIVE_DURATION: 60s
  FIRMWARE_SERVER_ADDR: !secret OTA_SERVER
  FIRMWARE_SERVER_PORT: !secret OTA_SERVER_PORT
  FIRMWARE_DIRECTORY: firmware
  SERVER_URL: http://${FIRMWARE_SERVER_ADDR}:${FIRMWARE_SERVER_PORT}
  FIRMWARE_URL: ${SERVER_URL}/${FIRMWARE_DIRECTORY}/${NAME}/firmware.ota.bin
  FIRMWARE_MD5: ${SERVER_URL}/${FIRMWARE_DIRECTORY}/${NAME}/firmware.ota.bin.md5

<<: !include shared/main.yml
<<: !include shared/ota_firmware.yml